/****************************************************************************

    This file is part of The Newtonator soft synth.

    Copyright (C) 2010-2011 Michael Bechard <mbechard@users.sourceforge.net>

    The Newtonator is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The Newtonator is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The Newtonator.  If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef CONTROL_ENUM_H_INCLUDED
#define CONTROL_ENUM_H_INCLUDED

enum ControlEnum {
      c_amp_attack,
      c_amp_decay,
      c_amp_sustain,
      c_amp_release,
      c_gmod_attack,
      c_gmod_decay,
      c_gmod_sustain,
      c_gmod_release,
      c_grav_scale,
      c_ceiling_behav,
      c_gmod_depth,
      c_gmod_wav,
      c_gmod_freq,
      c_veloc_reset,
      c_veloc_delay,
      c_gmod_use_env,
      c_gmod_follow_freq,
      c_gmod_freq_drift,
      c_gmod_freq_div,
      c_ceil_bounce,
      c_stereo,
      c_dead_zone,
      c_wobble_a,
      c_wobble_b,
      c_wobble_scale,
      c_wobble_timbre,
      c_gmod_dcoffset,
      c_veloc_rm,
      c_veloc_samphold,
      c_amp,
      c_unknown
    };

#endif // CONTROL_ENUM_H_INCLUDED
